### Function

# Adw BreakpointConditionnew_ratio

since: 1.4

#### Declaration [src]

    AdwBreakpointCondition*
    adw_breakpoint_condition_new_ratio (
      AdwBreakpointConditionRatioType type,
      int width,
      int height
    )

#### Description [src]

Creates a condition that triggers on ratio changes.

The ratio is represented as `width` divided by `height`.

Available since: 1.4

#### Parameters

`type`

  Type: `AdwBreakpointConditionRatioType`

  The ratio type.

`width`

  Type: `int`

  Ratio width.

`height`

  Type: `int`

  Ratio height.

#### Return value

Type: `AdwBreakpointCondition`

The newly created condition.

The caller of the function takes ownership of the data, and is responsible for freeing it.